# Response Model

## Event Object

| Field Name   | Type    | Description                                                                                                                                                                                                                                                         |
| ------------ | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eventId      | string  | Unique identifier for this event                                                                                                                                                                                                                                    |
| date         | date    | Date the match was played or is scheduled to be played                                                                                                                                                                                                              |
| matchType    | string  | Code indicating the type of match: MS - Mens Singles, LS - Ladies Singles, MD - Mens Doubles, LD - Ladies Doubles, XD - Mixed Doubles. The above codes can be prefixed with ‘Q’ to indicate they are part of qualifying for the competition                         |
| status       | string  | The current status of the match, one of: NotStarted, InProgress, Suspended, Finished                                                                                                                                                                                |
| tableNumber  | string  | The number table the match is being played on                                                                                                                                                                                                                       |
| teamA        | object  | Team Status object for the first team in the match                                                                                                                                                                                                                  |
| teamB        | object  | Team Status object for the second team in the match                                                                                                                                                                                                                 |
| startTime    | object  | startTime object indicating when the match is scheduled to start                                                                                                                                                                                                    |
| competitonId | integer | Identifier for the competition                                                                                                                                                                                                                                      |
| round        | string  | The round this event is being played in. In case of a qualifier event the round number is prepended with a ‘Q’, like “Q3”. Otherwise it’s simply a number, e.g. “3”. The rounds work backwards, with 1 being the final, 2 being the semi-finals, 3 the quarters etc |

## Team Status Object

| Field Name | Type   | Description                                                                                                                                                                               |
| ---------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| status     | string | Indicates if the player detail is known for this team. Values are KnownTableTennisTeam, UnknownTableTennisTeam or Bye. For UnknownTableTennisTeam or Bye, no other fields will be present |
| team       | object | A table tennis Team Object                                                                                                                                                                |

## Team Object

| Field Name | Type   | Description                                                                                        |
| ---------- | ------ | -------------------------------------------------------------------------------------------------- |
| Player1    | object | Player object containing details for the first player in the team                                  |
| Player2    | object | Player object containing details for the second player in the team. Only present if a doubles team |
| seed       | int    | This team’s seeding for the competition                                                            |
| entryType  | string | This team’s entry type for the competition. Possible values are: Qualifier or Standard             |

## Start Time Object

| Field Name | Type      | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| ---------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| time       | timestamp | Contains either the start time for the match (generally if it’s the first match of the day on a court) or the earliest time it could start (e.g. if there is a rain delay and they know play will not start until midday) or an estimate of the start time based on the start time of the previous match                                                                                                                                                                                                                                                                                                                   |
| status     | string    | <p>Indicates the type of information held for the start time.</p><p><strong>StartsAt</strong>: The time in which the match is expected to start.</p><p><strong>NotBefore</strong>: The time in which the match will not start before.</p><p><strong>EstimatedStart:</strong> The time in which the match is estimated to start.</p><p><strong>FollowsPrevious</strong>: The match will follow the previous match on the same table, therefore the time attributed with a 'Follows Previous' state is a rough estimate of the start time of that match.</p><p><strong>NoInformation</strong>: No information available.</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/table-tennis/schedule-endpoints-restful/tournaments-1/untitled-2/response-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
